Skip to main content

Get Blocked List For Player V2

GET 

/friends/v2/player/:player_uuid/block

Fetch the blocked list for the Player.

Note: This API supports etags and will return the etag header when with the response.

Clients can utilize the if-none-match header to avoid having to reload the response if it has not changed.

Permissions Required: friend:block_list:read

Request

Path Parameters

    player_uuid uuidrequired

Query Parameters

    page Page

    Default value: 0

    limit Limit

    Possible values: >= 1 and <= 10000

    Default value: 50

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be return - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    player_uuid uuidrequired

    blocked

    object[]

    required

  • Array [

  • blocked_player_uuid uuidrequired
    last_modified_on date-timerequired
  • ]

  • page

    object

    required

    page Requested page (integer)required
    limit Page size (integer)required
    total Total collection size (integer)required
Loading...